VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::adapter::Sata Interface Reference

The `Sata` interface provides methods for configuring the virtual SATA adapters of a virtual machine. More...

Inherited by vmware::vcenter::vm::hardware::adapter::SataStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.adapter.SataTypes.Summary > | List (string vm)
| Returns commonly used information about the virtual SATA adapters belonging to the virtual machine.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.adapter.SataTypes.Summary > | List (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual SATA adapters belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.adapter.SataTypes.Summary > > | ListAsync (string vm)
| Returns commonly used information about the virtual SATA adapters belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.adapter.SataTypes.Summary > > | ListAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual SATA adapters belonging to the virtual machine.
vmware.vcenter.vm.hardware.adapter.SataTypes.Info | Get (string vm, string adapter)
| Returns information about a virtual SATA adapter.
vmware.vcenter.vm.hardware.adapter.SataTypes.Info | Get (string vm, string adapter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual SATA adapter.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.adapter.SataTypes.Info > | GetAsync (string vm, string adapter)
| Returns information about a virtual SATA adapter.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.adapter.SataTypes.Info > | GetAsync (string vm, string adapter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual SATA adapter.
string | Create (string vm, vmware.vcenter.vm.hardware.adapter.SataTypes.CreateSpec spec)
| Adds a virtual SATA adapter to the virtual machine.
string | Create (string vm, vmware.vcenter.vm.hardware.adapter.SataTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual SATA adapter to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.adapter.SataTypes.CreateSpec spec)
| Adds a virtual SATA adapter to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.adapter.SataTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual SATA adapter to the virtual machine.
void | Delete (string vm, string adapter)
| Removes a virtual SATA adapter from the virtual machine.
void | Delete (string vm, string adapter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual SATA adapter from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string adapter)
| Removes a virtual SATA adapter from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string adapter, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual SATA adapter from the virtual machine.

## Detailed Description

The `Sata` interface provides methods for configuring the virtual SATA adapters of a virtual machine.

## Member Function Documentation

string vmware::vcenter::vm::hardware::adapter::Sata::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.adapter.SataTypes.CreateSpec | spec
| ) |  |

Adds a virtual SATA adapter to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.Error | if the system reported that the SATA adapter was created but was unable to confirm the creation because the identifier of the new adapter could not be determined.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.UnableToAllocateResource | if there are no more available SATA buses on the virtual machine.
  vmware.vapi.std.errors.ResourceInUse | if the specified SATA bus or PCI address is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified SATA bus or PCI address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual SATA adapter.

Returns:
  Virtual SATA adapter identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

string vmware::vcenter::vm::hardware::adapter::Sata::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.adapter.SataTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Adds a virtual SATA adapter to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.Error | if the system reported that the SATA adapter was created but was unable to confirm the creation because the identifier of the new adapter could not be determined.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.UnableToAllocateResource | if there are no more available SATA buses on the virtual machine.
  vmware.vapi.std.errors.ResourceInUse | if the specified SATA bus or PCI address is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified SATA bus or PCI address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual SATA adapter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual SATA adapter identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::adapter::Sata::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.adapter.SataTypes.CreateSpec | spec
| ) |  |

Adds a virtual SATA adapter to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.Error | if the system reported that the SATA adapter was created but was unable to confirm the creation because the identifier of the new adapter could not be determined.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.UnableToAllocateResource | if there are no more available SATA buses on the virtual machine.
  vmware.vapi.std.errors.ResourceInUse | if the specified SATA bus or PCI address is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified SATA bus or PCI address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual SATA adapter.

Returns:
  Virtual SATA adapter identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::adapter::Sata::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.adapter.SataTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Adds a virtual SATA adapter to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.Error | if the system reported that the SATA adapter was created but was unable to confirm the creation because the identifier of the new adapter could not be determined.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.UnableToAllocateResource | if there are no more available SATA buses on the virtual machine.
  vmware.vapi.std.errors.ResourceInUse | if the specified SATA bus or PCI address is in use.
  vmware.vapi.std.errors.InvalidArgument | if the specified SATA bus or PCI address is out of bounds.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.
  vmware.vapi.std.errors.Unsupported | if the guest operating system of the virtual machine is not supported and spec includes null fields that default to guest-specific values.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual SATA adapter.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual SATA adapter identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

void vmware::vcenter::vm::hardware::adapter::Sata::Delete | ( | string | vm,
|  | string | adapter
| ) |  |

Removes a virtual SATA adapter from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SATA adapter is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SATA adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

void vmware::vcenter::vm::hardware::adapter::Sata::Delete | ( | string | vm,
|  | string | adapter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Removes a virtual SATA adapter from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SATA adapter is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SATA adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::adapter::Sata::DeleteAsync | ( | string | vm,
|  | string | adapter
| ) |  |

Removes a virtual SATA adapter from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SATA adapter is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SATA adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::adapter::Sata::DeleteAsync | ( | string | vm,
|  | string | adapter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Removes a virtual SATA adapter from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is suspended
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SATA adapter is not found.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SATA adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

vmware.vcenter.vm.hardware.adapter.SataTypes.Info vmware::vcenter::vm::hardware::adapter::Sata::Get | ( | string | vm,
|  | string | adapter
| ) |  |

Returns information about a virtual SATA adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SATA adapter is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SATA adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .

Returns:
  Information about the specified virtual SATA adapter.

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

vmware.vcenter.vm.hardware.adapter.SataTypes.Info vmware::vcenter::vm::hardware::adapter::Sata::Get | ( | string | vm,
|  | string | adapter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about a virtual SATA adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SATA adapter is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SATA adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual SATA adapter.

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.adapter.SataTypes.Info> vmware::vcenter::vm::hardware::adapter::Sata::GetAsync | ( | string | vm,
|  | string | adapter,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns information about a virtual SATA adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SATA adapter is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SATA adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual SATA adapter.

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.adapter.SataTypes.Info> vmware::vcenter::vm::hardware::adapter::Sata::GetAsync | ( | string | vm,
|  | string | adapter
| ) |  |

Returns information about a virtual SATA adapter.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual SATA adapter is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  adapter | Virtual SATA adapter identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .

Returns:
  Information about the specified virtual SATA adapter.

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.adapter.SataTypes.Summary> vmware::vcenter::vm::hardware::adapter::Sata::List | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns commonly used information about the virtual SATA adapters belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual SATA adapters.

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.adapter.SataTypes.Summary> vmware::vcenter::vm::hardware::adapter::Sata::List | ( | string | vm | ) |

Returns commonly used information about the virtual SATA adapters belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual SATA adapters.

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.adapter.SataTypes.Summary> > vmware::vcenter::vm::hardware::adapter::Sata::ListAsync | ( | string | vm | ) |

Returns commonly used information about the virtual SATA adapters belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual SATA adapters.

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.adapter.SataTypes.Summary> > vmware::vcenter::vm::hardware::adapter::Sata::ListAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns commonly used information about the virtual SATA adapters belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual SATA adapters.

Implemented in vmware::vcenter::vm::hardware::adapter::SataStub.

The documentation for this interface was generated from the following file:

- Sata.cs